namespace Tiobon.Core.Api.Controllers;

/// <summary>
/// 培训记录明细(Controller)
/// </summary>
[Route("api/[controller]")]
[ApiController, GlobalActionFilter]
[Authorize(Permissions.Name), ApiExplorerSettings(GroupName = Grouping.GroupName_Ghre)]
public class Ghre_StudyRecordDetailController : BaseController<IGhre_StudyRecordDetailServices, Ghre_StudyRecordDetail, Ghre_StudyRecordDetailDto, InsertGhre_StudyRecordDetailInput, EditGhre_StudyRecordDetailInput>
{
    public Ghre_StudyRecordDetailController(IGhre_StudyRecordDetailServices service) : base(service)
    {
    }
}